Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class CommandHelpImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.CommandHelpImpl

All Implemented Interfaces:
  CommandHelp, org.springframework.beans.factory.InitializingBean

    public class CommandHelpImpl

extends java.lang.Object
implements CommandHelp, org.springframework.beans.factory.InitializingBean

Version:
  $Id: CommandHelpImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`CommandHelpImpl()`

Method Summary
`void` | `afterPropertiesSet()`
`protected void` | `computeDescContPrefix()`
`protected void` | `computeMaxArgNameLength()`
`java.lang.String` | `getArgDescriptionMessagePrefix()`
`java.lang.String` | `getArgLinePrefix()`
`java.lang.String` | `getArgLineSeparator()`
`java.util.List` | `getArgumentNames()`
`protected java.util.Locale` | `getLocale()`
`org.springframework.context.MessageSource` | `getMessageSource()`
`java.lang.String` | `getStartMessage()`
`protected void` | `printArgumentHelp(java.io.PrintStream out, java.lang.String argName, java.lang.String argDescription)`
`void` | `printHelp(java.lang.String command, java.io.PrintStream out)`
`void` | `setArgDescriptionMessagePrefix(java.lang.String argDescriptionMessagePrefix)`
`void` | `setArgLinePrefix(java.lang.String argLinePrefix)`
`void` | `setArgLineSeparator(java.lang.String argLineSeparator)`
`void` | `setArgumentNames(java.util.List argumentNames)`
`void` | `setMessageSource(org.springframework.context.MessageSource messageSource)`
`void` | `setStartMessage(java.lang.String startMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandHelpImpl

    public CommandHelpImpl()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### computeMaxArgNameLength

    protected void computeMaxArgNameLength()

### computeDescContPrefix

    protected void computeDescContPrefix()

### printHelp

    public void printHelp(java.lang.String command,
                          java.io.PrintStream out)

  Specified by:
    `printHelp` in interface `CommandHelp`

### getLocale

    protected java.util.Locale getLocale()

### printArgumentHelp

    protected void printArgumentHelp(java.io.PrintStream out,
                                     java.lang.String argName,
                                     java.lang.String argDescription)

### getMessageSource

    public org.springframework.context.MessageSource getMessageSource()

### setMessageSource

    public void setMessageSource(org.springframework.context.MessageSource messageSource)

### getArgumentNames

    public java.util.List getArgumentNames()

### setArgumentNames

    public void setArgumentNames(java.util.List argumentNames)

### getArgDescriptionMessagePrefix

    public java.lang.String getArgDescriptionMessagePrefix()

### setArgDescriptionMessagePrefix

    public void setArgDescriptionMessagePrefix(java.lang.String argDescriptionMessagePrefix)

### getArgLinePrefix

    public java.lang.String getArgLinePrefix()

### setArgLinePrefix

    public void setArgLinePrefix(java.lang.String argLinePrefix)

### getArgLineSeparator

    public java.lang.String getArgLineSeparator()

### setArgLineSeparator

    public void setArgLineSeparator(java.lang.String argLineSeparator)

### getStartMessage

    public java.lang.String getStartMessage()

### setStartMessage

    public void setStartMessage(java.lang.String startMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.